#! /bin/csh
gmtset PAPER_MEDIA A4+
set region = "140/145/35/41" 
set proj = "-Jm2"
set psfile = enlarged_hypos.eps
set origin = "-X1.5 -Y1"

gmtset BASEMAP_TYPE plain 

set cinfo = "-W1 -Di "
pscoast -R$region $proj $cinfo -Ba1g1f0.1/a1g1f0.1neSW -W0.5p,0 -Ggrey -K $origin > $psfile

cat aftershock_earthquake_swarms_containing_repeaters.csv | awk -F, '{print $3, $2}' | psxy -Sc0.18 -Wblack -Gcyan  -R -J -K -O  >> $psfile
cat repeaters_contained_in_aftershock_earthquake_swarms.csv | awk -F, '{print $3, $2}' | psxy -Sa0.3 -Wblack -Ggreen  -R -J -K -O >> $psfile

cat background_earthquake_swarms_containing_repeaters.csv | awk -F, '{print $3, $2}' | psxy -Sc0.18 -Wblack -Gblue  -R -J -K -O  >> $psfile
cat repeaters_contained_in_background_earthquake_swarms.csv | awk -F, '{print $3, $2}' | psxy -Sa0.3 -Wblack -Gorange  -R -J -K -O >> $psfile

cat tremor_duration_80s.dat | awk '{print $8, $7}' | psxy -Ss0.15 -Wblack -Gred  -R -J -K -O >> $psfile 
cat VLF.csv  | awk -F, '{print $3, $2}' | psxy -Ss0.15 -Wblack -Gyellow  -R -J -K -O >> $psfile

cat sanriku_reg.txt | psxy -A -W1.5p/0/0/0  -R -J -K -O  >> $psfile
cat fukushima_reg.txt | psxy -A -W1.5p/0/0/0  -R -J -K -O  >> $psfile

#SECOND SECTION
set region = "142.0/144.3/39.0/40.7" 
set proj = "-Jm4.3"
set origin = "-X12 -Y10.35"

set cinfo = "-W1 -Di "
pscoast -R$region $proj $cinfo -Ba1g0.5f0.1/a1g0.5f0.1neSW -W0.5p,0 -Ggrey -K -O $origin >> $psfile

cat tremor_duration_80s.dat | awk '{print $8, $7}' | psxy -Ss0.15 -Wblack -Gred  -R -J -K -O >> $psfile

cat aftershock_earthquake_swarms_containing_repeaters.csv | awk -F, '{print $3, $2}' | psxy -Sc0.18 -Wblack -Gcyan  -R -J -K -O  >> $psfile
cat repeaters_contained_in_aftershock_earthquake_swarms.csv | awk -F, '{print $3, $2}' | psxy -Sa0.3 -Wblack -Ggreen  -R -J -K -O >> $psfile

cat background_earthquake_swarms_containing_repeaters.csv | awk -F, '{print $3, $2}' | psxy -Sc0.18 -Wblack -Gblue  -R -J -K -O  >> $psfile
cat repeaters_contained_in_background_earthquake_swarms.csv | awk -F, '{print $3, $2}' | psxy -Sa0.3 -Wblack -Gorange  -R -J -K -O >> $psfile

cat VLF.csv  | awk -F, '{print $3, $2}' | psxy -Ss0.15 -Wblack -Gyellow  -R -J -K -O >> $psfile


#THIRD SECTION
set region = "141.0/143.3/35.6/37.3"
set proj = "-Jm4.3"
set origin = "-X0 -Y-10.35"

set cinfo = "-W1 -Di "
pscoast -R$region $proj $cinfo -Ba1g0.5f0.1/a1g0.5f0.1neSW -W0.5p,0 -Ggrey -K -O $origin  >> $psfile

cat tremor_duration_80s.dat | awk '{print $8, $7}' | psxy -Ss0.15 -Wblack -Gred  -R -J -K -O >> $psfile

cat aftershock_earthquake_swarms_containing_repeaters.csv | awk -F, '{print $3, $2}' | psxy -Sc0.18 -Wblack -Gcyan  -R -J -K -O  >> $psfile
cat repeaters_contained_in_aftershock_earthquake_swarms.csv | awk -F, '{print $3, $2}' | psxy -Sa0.3 -Wblack -Ggreen  -R -J -K -O >> $psfile

cat background_earthquake_swarms_containing_repeaters.csv | awk -F, '{print $3, $2}' | psxy -Sc0.18 -Wblack -Gblue  -R -J -K -O  >> $psfile
cat repeaters_contained_in_background_earthquake_swarms.csv | awk -F, '{print $3, $2}' | psxy -Sa0.3 -Wblack -Gorange  -R -J -K -O >> $psfile

cat VLF.csv  | awk -F, '{print $3, $2}' | psxy -Ss0.15 -Wblack -Gyellow  -R -J -K -O >> $psfile

pstext -R0/1/0/1 -Jx1 -O < /dev/null >> $psfile


#gv $psfile & 
set OPDF = `echo $psfile | sed 's/eps/pdf/'`
ps2pdf $psfile $OPDF
gs $OPDF
